Returns detailed information for a specified partitioned treaty.

GET /treaty/:congress/:treatyNumber/:treatySuffix

Example Request

/v3/treaty/114/13/A
::

"treaty": {
    "actions": {
        "count": 5,
        "url": "https://api.congress.gov/v3/treaty/114/13/A/actions?format=json"
    },
    "congress": 114,
    "endCongressId": 115,
    "inForceDate": null,
    "oldTreatyNum": null,
    "oldTreatyNumDisplayStr": null,
    "parts": {
      "count": 2,
      "urls": [
        "https://api.congress.gov/v3/treaty/114/13/B?format=json",
        "https://api.congress.gov/v3/treaty/114/13?format=json"
      ]
    },
    "relatedDocs": [],
    "resolutionText": "<!DOCTYPE html><html xmlns=\"http://www.\u2026",
    "transmittedDate": "2016-12-09T00:00:00Z",
    "treatyNum": 13,
    "treatySubject": "Maritime Boundaries and Claims",
    "treatySuffix": "A",
    "updateDate": "2022-07-12T15:48:45Z"
}

 
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 114.

integer
required

The treaty's assigned number. For example, the value can be 13.

string
required

The treaty's partition letter value. For example, the value can be A.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!